MPI_Status_set_elements(3)

NAME
MPI_Status_set_elements - Modifies opaque part of status to allow MPI_Get_elements to return count.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Status_set_elements(MPI_Status *status, MPI_Datatype datatype, int count)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_STATUS_SET_ELEMENTS(STATUS, DATATYPE, COUNT, IERROR)
	INTEGER	STATUS(MPI_STATUS_SIZE), DATATYPE, COUNT, IERROR

C++ Syntax
#include <mpi.h>
void MPI::Status::Set_elements(const MPI::Datatype& datatype, int count)

INPUT/OUTPUT PARAMETER

status
    Status to associate with count (status).

INPUT PARAMETERS

datatype
    Data type associated with count (handle).

count
    Number of elements to associate with status (integer).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Status_set_elements modifies the opaque part of status so that a call to MPI_Get_elements will return count. MPI_Get_count will return a compatible value.

A subsequent call to MPI_Get_count(status, datatype, count) or to MPI_Get_elements(status, datatype, count) must use a data-type argument that has the same type signature as the data-type argument that was used in the call to MPI_Status_set_elements.

NOTES
Users are advised not to reuse the status fields for values other than those for which they were intended. Doing so may lead to unexpected results when using the status object. For example, calling MPI_Get_elements may cause an error if the value is out of range, or it may be impossible to detect such an error. The extra_state argument provided with a generalized request can be used to return information that does not logically belong in status. Furthermore, modifying the values in a status set internally by MPI, such as MPI_Recv, may lead to unpredictable results and is strongly discouraged.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.